aboutsummaryrefslogtreecommitdiff
path: root/performance-test
diff options
context:
space:
mode:
authorDaniel Kahn Gillmor <dkg@fifthhorseman.net>2017-06-04 09:32:35 -0300
committerDavid Bremner <david@tethera.net>2017-08-01 21:17:47 -0400
commite5beec39d6021c7b8c21e6d84050660ad6c69a96 (patch)
tree1e08029c9536608c0d129b1f15321c3402422c1d /performance-test
parent5b93fa6e70c905e3c5f2a8109683db29ccfd5bcf (diff)
add "notmuch reindex" subcommand
This new subcommand takes a set of search terms, and re-indexes the list of matching messages.
Diffstat (limited to 'performance-test')
-rwxr-xr-xperformance-test/M04-reindex.sh11
-rwxr-xr-xperformance-test/T03-reindex.sh13
2 files changed, 24 insertions, 0 deletions
diff --git a/performance-test/M04-reindex.sh b/performance-test/M04-reindex.sh
new file mode 100755
index 00000000..d36e061b
--- /dev/null
+++ b/performance-test/M04-reindex.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+test_description='reindex'
+
+. ./perf-test-lib.sh || exit 1
+
+memory_start
+
+memory_run 'reindex *' "notmuch reindex '*'"
+
+memory_done
diff --git a/performance-test/T03-reindex.sh b/performance-test/T03-reindex.sh
new file mode 100755
index 00000000..7af2d22d
--- /dev/null
+++ b/performance-test/T03-reindex.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+test_description='tagging'
+
+. ./perf-test-lib.sh || exit 1
+
+time_start
+
+time_run 'reindex *' "notmuch reindex '*'"
+time_run 'reindex *' "notmuch reindex '*'"
+time_run 'reindex *' "notmuch reindex '*'"
+
+time_done